# /home/andre/DISTRIB_SC/SC/V2/MYEX/error1.sc.tcl
# Copyrights Charles ANDRE - I3S Lab - 1996
# Creation date: Fri May  2 20:37:11 GMT 1997
# owner: andre
# creation directory: /home/andre/DISTRIB_SC/SC/V2/EXAMPLES
# version: 2.02


global isVALUED
set isVALUED 1
global zoneDesc
global applName
set applName error1
global _seedName
set rootWn 0
global decls
buildItem DCO "" "" "{error1 contains a double declaration:
in macrostate error1, S is declared as both an output and a local signal.
}"
buildItem DCO $rootWn "" "{error1 illustrates inconsistent declarations:

* S is declared both as an input and a local signal.

* In the child macro,
  -- T is redefined with a different type.
  -- and U is not of the same nature (sensor vs. input).

make generate strl to see error messages.
}"
buildItem DIN $rootWn "" "{T:integer}"
buildItem DSE $rootWn "" "{U:integer}"
buildItem DOU $rootWn "" "{S:boolean}"
# #### window error1: .root  -> 0  (begin)
buildW $rootWn "" 3 2 4 error1 "3"
# node description

# separators
buildItem Z $rootWn 1 "{Z 0.0 0.0 2.0 2.0}"

buildItem F $rootWn 1 "200 140 185 125 14 \"S:boolean\" \"\" error1 \"0\" \"1\" \"2\" \"\""
buildItem C $rootWn 2 "151 75 \"1\" \"\" I"
buildItem M $rootWn 3 "150 159 30 30 0 \"2\" \"1 2\" N \"\" \"@child\" \"3\" "

# edge description
buildItem E $rootWn 1 "I 2 3 {151.0 75.0 150.357 129.0} 1 \"\" \"\" \"\" \"0\" \"0\" \"\" "
buildItem E $rootWn 2 "W 3 3 {138.305 189.0 127.0 218.0 169.0 228.0 167.0 192.0 165.455 189.0} 1 \"T\" \"?U>12\" \"S(true)\" \"4\" \"0\" \"\" "

# label description (4)
buildItem L $rootWn 1 "ln 200 22 1 \"error1\" \"\""
buildItem L $rootWn 2 "ld 200 257 1 \"signal S:boolean\" \"\""
buildItem L $rootWn 3 "ln 150 159 3 \"@child\" \"\""
buildItem L $rootWn 4 "wa 224 208 2 \"T\\\[?U>12\\\]/S(true)\" \"\""

# #### window .root   (end)
buildItem DIN $rootWn "3" "{T:boolean U:integer}"
# #### window child: .root.8  -> 0 3 (begin)
buildW $rootWn "3" 3 2 2 child ""
# node description

# separators
buildItem Z $rootWn 3.1 "{Z 0.0 0.0 2.0 2.0}"

buildItem F $rootWn 3.1 "200 140 185 125 0 \"\" \"\" child \"0\" \"1\" \"0\" \"\""
buildItem C $rootWn 3.2 "158 86 \"1\" \"\" I"
buildItem S $rootWn 3.3 "160 162 15 \"2\" \"1 2\" N \"\" \"\" \"0\""

# edge description
buildItem E $rootWn 3.1 "I 2 3 {158.0 86.0 159.605 147.005} 1 \"\" \"\" \"\" \"0\" \"0\" \"\" "
buildItem E $rootWn 3.2 "W 3 3 {148.514 171.648 110.0 204.0 164.0 215.0 192.0 197.0 170.122 173.07} 1 \"V and T and not U\" \"\" \"Z\" \"2\" \"0\" \"\" "

# label description (2)
buildItem L $rootWn 3.1 "ln 200 22 1 \"child\" \"\""
buildItem L $rootWn 3.2 "wa 252 196 2 \"V and T and not U/Z\" \"\""

# #### window .root.8   (end)
initTree

# That's All Folks!
