# unixCon.tcl
# Charles Andr
# July 18, 2000

proc putsStderr { args } {
    uplevel #0 puts stderr "$args"
}



proc errorReport { msg } {

    putsStderr "****** Error: $msg\nAbort"
    tk_dialog .wmsg Error $msg error 0 OK
    exit
}

proc warningReport { msg } {

    putsStderr "****** Warning: $msg\n"
    tk_dialog .wmsg Warning $msg warning 0 OK
 
}

proc internalErrorReport { msg } {
	set newMsg "******Internal Error.\n Please report to andre@unice.fr\n: $msg\n"
	 putsStderr $newMsg
    tk_dialog .wmsg Error $newMsg error 0 OK
    exit
}



set _show(pc) 1
proc ShowPseudoConsole {} {

}
