# /home/andre/NEW_DISTRIB_SC/MYEX/pZeroThruv1.sc.tcl
# Creation date: Wed Jul  2 09:24:34 MET DST 1997 
# Author: andre 
# Creation directory: /home/andre/NEW_DISTRIB_SC/MYEX 
# Generator: syncCharts v2.052 - 1996-97 
# SyncCharts has been created and developed by 
# Charles ANDRE - I3S Laboratory - University of Nice (F) 
# e-mail:  andre@unice.fr 


global isVALUED
set isVALUED 0
global zoneDesc
global applName
set applName pZeroThruv1
global _seedName
set rootWn 0
global decls
buildItem DCO "" "" "{pZeroThruv1:

production-consumption through a buffer whose capacity is 1.
Pure version.

inputs: put, get

outputs: taken, provided

behavior: 

'put' is blocking if the buffer is full. 'taken' is emitted when the buffer
is actually written.
'get' is blocking when the buffer is empty. 'provided' is emitted when the 
buffer is actually read.

The 0-trough hypothesis makes this buffer different from classical ones.

If the buffer is empty, then a simultaneous 'put' and 'get' is possible: 
the item 'goes through' the buffer without a delay; the buffer remains empty;
'taken' and 'provided' are emitted at this instant.

If the buffer is full, then a simultaneous 'put' and 'get' is possible:
the item in the buffer is consumed; the new item is put in the buffer;
'taken' and 'provided' are emitted at this instant.

Compile with the 'check causality' option.
}"
buildItem DIN $rootWn "" "{get put}"
buildItem DOU $rootWn "" "{provided taken}"
# #### window pZeroThruv1: .root  -> 0  (begin)
buildW $rootWn "" 14 18 20 pZeroThruv1 ""
# node description

# separators
buildItem Z $rootWn 1r "{V 1.37923 6}"
buildItem Z $rootWn 1rl "{Z 0.477534 0.0 1.37923 2.0}"
buildItem Z $rootWn 1 "{V 0.477534 7}"
buildItem Z $rootWn 1l "{Z 0.0 0.0 0.477534 2.0}"
buildItem Z $rootWn 1rr "{Z 1.37923 0.0 2.0 2.0}"

buildItem F $rootWn 1 "251.999 156.0 236.999 141.0 14 \"IN,OUT,E,F\" \"\" pZeroThruv1 \"0\" \"1\" \"14\" \"\""
buildItem C $rootWn 2 "64 69 \"1\" \"\" I"
buildItem S $rootWn 3 "66 124 15 \"2\" \"1 3\" N \"\" \"\" \"0\""
buildItem S $rootWn 4 "68 196 15 \"3\" \"2\" N \"\" \"IN\" \"4\""
buildItem S $rootWn 6 "190 112 15 \"13\" \"12 14 18\" N \"\" \"E\" \"9\""
buildItem S $rootWn 7 "281 213 15 \"16\" \"15 17\" N \"\" \"F\" \"10\""
buildItem C $rootWn 9 "418 57 \"9\" \"\" I"
buildItem S $rootWn 10 "417 115 15 \"10\" \"9 11\" N \"\" \"\" \"0\""
buildItem S $rootWn 11 "420 200 15 \"11\" \"10\" N \"\" \"OUT\" \"11\""
buildItem C $rootWn 12 "189 73 \"12\" \"\" I"
buildItem S $rootWn 13 "281 108 15 \"14 15\" \"13\" N \"\" \"\" \"0\""
buildItem S $rootWn 14 "190 213 15 \"17 18\" \"16\" N \"\" \"\" \"0\""

# edge description
buildItem E $rootWn 1 "I 2 3 {64.0 69.0 65.4549 109.01} 1 \"\" \"\" \"\" \"0\" \"0\" \"\" "
buildItem E $rootWn 2 "S 3 4 {84.2212 141.117 99.0 155.0 100.0 186.0 82.3172 191.526} 1 \"put\" \"\" \"\" \"3\" \"0\" \"\" "
buildItem E $rootWn 3 "W 4 3 {55.238 188.118 34.0 175.0 32.0 152.0 54.421 133.536} 1 \"taken\" \"\" \"\" \"2\" \"1\" \"\" "
buildItem E $rootWn 9 "I 9 10 {418.0 57.0 417.259 100.002} 1 \"\" \"\" \"\" \"0\" \"0\" \"\" "
buildItem E $rootWn 10 "S 10 11 {435.982 131.27 452.0 145.0 456.0 175.0 432.321 191.444} 1 \"get\" \"\" \"\" \"12\" \"0\" \"\" "
buildItem E $rootWn 11 "W 11 10 {406.276 193.945 386.0 185.0 381.0 144.0 405.319 124.41} 1 \"provided\" \"\" \"\" \"13\" \"1\" \"\" "
buildItem E $rootWn 12 "I 12 6 {189.0 73.0 189.616 97.0049} 1 \"\" \"\" \"\" \"0\" \"0\" \"\" "
buildItem E $rootWn 13 "S 6 13 {205.535 131.587 213.0 141.0 262.0 141.0 273.516 120.999} 1 \"IN\" \"\" \"taken\" \"15\" \"0\" \"\" "
buildItem E $rootWn 14 "S 13 6 {260.7 93.4091 249.0 85.0 209.0 85.0 198.632 99.7329} 1 \"OUT\" \"\" \"provided\" \"16\" \"1\" \"\" "
buildItem E $rootWn 15 "S 13 7 {280.988 133.0 280.998 198.0} 2 \"\" \"\" \"\" \"17\" \"1\" \"\" "
buildItem E $rootWn 16 "S 7 14 {263.647 195.004 254.0 185.0 203.0 187.0 196.708 199.584} 1 \"OUT\" \"\" \"provided\" \"18\" \"0\" \"\" "
buildItem E $rootWn 17 "S 14 7 {200.907 235.495 206.0 246.0 257.0 249.0 272.68 225.481} 1 \"IN\" \"\" \"taken\" \"19\" \"1\" \"\" "
buildItem E $rootWn 18 "S 14 6 {190.045 188.0 190.009 127.0} 2 \"\" \"\" \"\" \"20\" \"1\" \"\" "

# label description (20)
buildItem L $rootWn 1 "ln 251.999 22 1 \"pZeroThruv1\" \"\""
buildItem L $rootWn 2 "wa 39 163 3 \"#taken\" \"\""
buildItem L $rootWn 3 "wa 100 167 2 \"put\" \"\""
buildItem L $rootWn 4 "st 68 196 4 \"IN\" \"\""
buildItem L $rootWn 9 "st 190 110 6 \"E\" \"\""
buildItem L $rootWn 10 "st 282 216 7 \"F\" \"\""
buildItem L $rootWn 11 "st 420 200 11 \"OUT\" \"\""
buildItem L $rootWn 12 "wa 456 161 10 \"get\" \"\""
buildItem L $rootWn 13 "wa 389 163 11 \"#provided\" \"\""
buildItem L $rootWn 14 "ld 251.999 289 1 \"signal IN,OUT,E,F\" \"\""
buildItem L $rootWn 15 "sa 238 153 13 \"IN/taken\" \"\""
buildItem L $rootWn 16 "sa 245 77 14 \"#OUT/provided\" \"\""
buildItem L $rootWn 17 "sa 300 169 15 \"<2>
#\" \"\""
buildItem L $rootWn 18 "sa 234 178 16 \"OUT/provided\" \"\""
buildItem L $rootWn 19 "sa 239 260 17 \"#IN/taken\" \"\""
buildItem L $rootWn 20 "sa 173 156 18 \"<2>
#\" \"\""

# #### window .root   (end)
initTree

# That's All Folks!
