# /home/andre/DISTRIB_SC/SC/V2/MYEX/watchdog.sc.tcl
# Creation date: Sat May 24 09:22:21 MET DST 1997 
# Author: andre 
# Creation directory: /home/andre/DISTRIB_SC/SC/V2/MYEX 
# Generator: syncCharts v2.03 - 1996-97 
# SyncCharts has been created and developed by 
# Charles ANDRE - I3S Laboratory - University of Nice (F) 
# e-mail:  andre@unice.fr 


global isVALUED
set isVALUED 0
global zoneDesc
global applName
set applName watchdog
global _seedName
set rootWn 0
global decls
buildItem DCO "" "" "{Watchdog

This is an example of pure esterel program.

Basically it's a SR flip-flop (set and reset inputs).

When ON, if more than 5 occurrences of 'top' occur then the system goes to
an 'alarm' state. 'reset' must occur to get out this state.

This example illustrates: hierarchy, parallelism, preemption and 
normal termination (see module 'timer' and its final stars).
}"
# #### window watchdog: .root  -> 0  (begin)
buildW $rootWn "" 4 3 4 watchdog "4"
# node description

# separators
buildItem Z $rootWn 1 "{Z 0.0 0.0 2.0 2.0}"

buildItem F $rootWn 1 "152.0 108.0 137.0 93.0 0 \"\" \"\" watchdog \"0\" \"3\" \"0\" \"\""
buildItem C $rootWn 2 "63 123 \"1\" \"\" I"
buildItem S $rootWn 3 "117 123 15 \"2\" \"1 3\" N \"\" \"\" \"0\""
buildItem M $rootWn 4 "210 121 30 30 0 \"3\" \"2\" N \"\" \"@control\" \"4\" "

# edge description
buildItem E $rootWn 1 "I 2 3 {63.0 123.0 102.0 123.0} 1 \"\" \"\" \"\" \"0\" \"0\" \"\" "
buildItem E $rootWn 2 "S 3 4 {125.666 99.5501 134.0 77.0 180.0 103.632} 1 \"Set\" \"\" \"\" \"1\" \"0\" \"\" "
buildItem E $rootWn 3 "S 4 3 {171.679 146.547 123.0 179.0 118.598 137.915} 1 \"Reset\" \"\" \"\" \"2\" \"0\" \"\" "

# label description (4)
buildItem L $rootWn 1 "sa 137 75 2 \"Set\" \"\""
buildItem L $rootWn 2 "sa 133 175 3 \"Reset\" \"\""
buildItem L $rootWn 3 "ln 152.0 22 1 \"watchdog\" \"\""
buildItem L $rootWn 4 "st 210 121 4 \"@control\" \"\""

# #### window .root   (end)
# #### window control: .root.10  -> 0 4 (begin)
buildW $rootWn "4" 4 2 3 control "3"
# node description

# separators
buildItem Z $rootWn 4.1 "{Z 0.0 0.0 2.0 2.0}"

buildItem F $rootWn 4.1 "85.0 135.0 70.0 120.0 0 \"\" \"\" control \"0\" \"1\" \"0\" \"\""
buildItem C $rootWn 4.2 "82 51 \"1\" \"\" I"
buildItem M $rootWn 4.3 "83 104 30 30 0 \"2\" \"1\" N \"\" \"@timer\" \"3\" "
buildItem S $rootWn 4.4 "82 191 15 \"\" \"2\" N \"\" \"Alarm\" \"2\""

# edge description
buildItem E $rootWn 4.1 "I 2 3 {82.0 51.0 82.434 74.0} 1 \"\" \"\" \"\" \"0\" \"0\" \"\" "
buildItem E $rootWn 4.2 "N 3 4 {82.5403 143.999 82.1724 176.001} 1 \"\" \"\" \"\" \"0\" \"0\" \"\" "

# label description (3)
buildItem L $rootWn 4.1 "ln 85.0001 22 1 \"control\" \"\""
buildItem L $rootWn 4.2 "st 82 222 4 \"Alarm\" \"\""
buildItem L $rootWn 4.3 "st 83 104 3 \"@timer\" \"\""

# #### window .root.10   (end)
# #### window timer: .root.10.8  -> 0 4.3 (begin)
buildW $rootWn "4.3" 10 9 11 timer ""
# node description

# separators
buildItem Z $rootWn 4.3.1r "{V 1.23243 6}"
buildItem Z $rootWn 4.3.1rl "{Z 0.567568 0.0 1.23243 2.0}"
buildItem Z $rootWn 4.3.1 "{V 0.567568 7}"
buildItem Z $rootWn 4.3.1l "{Z 0.0 0.0 0.567568 2.0}"
buildItem Z $rootWn 4.3.1rr "{Z 1.23243 0.0 2.0 2.0}"

buildItem F $rootWn 4.3.1 "195.0 114.0 180.0 99.0 14 \"c1 c2\" \"\" timer \"0\" \"1\" \"10\" \"\""
buildItem C $rootWn 4.3.2 "67.5 47.5 \"1\" \"\" I"
buildItem S $rootWn 4.3.3 "70.0 93.0 15 \"4\" \"1 5\" N \"\" \"\" \"0\""
buildItem S $rootWn 4.3.4 "68.0 164.0 15 \"5\" \"4\" F \"\" \"b2\" \"11\""
buildItem S $rootWn 4.3.5 "185.0 91.0 15 \"6\" \"2 7\" F \"\" \"\" \"0\""
buildItem S $rootWn 4.3.6 "186.0 168.0 15 \"7\" \"6\" N \"\" \"b1\" \"7\""
buildItem S $rootWn 4.3.7 "303.0 86.0 15 \"8\" \"3 9\" N \"\" \"\" \"0\""
buildItem S $rootWn 4.3.8 "299.0 174.0 15 \"9\" \"8\" F \"\" \"b0\" \"4\""
buildItem C $rootWn 4.3.9 "185.5 46.5 \"2\" \"\" I"
buildItem C $rootWn 4.3.10 "299.0 45.0 \"3\" \"\" I"

# edge description
buildItem E $rootWn 4.3.1 "I 2 3 {67.5 47.5 69.1771 78.0226} 1 \"\" \"\" \"\" \"0\" \"0\" \"\" "
buildItem E $rootWn 4.3.2 "I 9 5 {185.5 46.5 185.191 74.0011} 1 \"\" \"\" \"\" \"0\" \"0\" \"\" "
buildItem E $rootWn 4.3.3 "I 10 7 {299.0 45.0 301.544 71.0709} 1 \"\" \"\" \"\" \"0\" \"0\" \"\" "
buildItem E $rootWn 4.3.4 "S 3 4 {85.138 112.895 105.0 139.0 82.086 154.482} 1 \"c2\" \"\" \"\" \"8\" \"0\" \"\" "
buildItem E $rootWn 4.3.5 "S 4 3 {46.4632 147.716 27.0 133.0 59.0172 103.217} 1 \"c2\" \"\" \"\" \"9\" \"0\" \"\" "
buildItem E $rootWn 4.3.6 "S 5 6 {203.86 110.321 226.0 133.0 197.289 158.122} 1 \"c1\" \"\" \"\" \"5\" \"0\" \"\" "
buildItem E $rootWn 4.3.7 "S 6 5 {168.322 150.322 148.0 130.0 173.3 103.333} 1 \"c1\" \"\" \"c2\" \"6\" \"0\" \"\" "
buildItem E $rootWn 4.3.8 "S 7 8 {319.463 104.814 345.0 134.0 311.828 162.845} 1 \"Top\" \"\" \"\" \"2\" \"0\" \"\" "
buildItem E $rootWn 4.3.9 "S 8 7 {284.822 151.022 270.0 127.0 293.595 97.6852} 1 \"Top\" \"\" \"c1\" \"3\" \"0\" \"\" "

# label description (11)
buildItem L $rootWn 4.3.1 "ln 195.0 22 1 \"timer\" \"\""
buildItem L $rootWn 4.3.2 "sa 345.0 111.0 8 \"Top\" \"\""
buildItem L $rootWn 4.3.3 "sa 262.0 149.0 9 \"Top/c1\" \"\""
buildItem L $rootWn 4.3.4 "st 299.0 174.0 8 \"b0\" \"\""
buildItem L $rootWn 4.3.5 "sa 224.0 110.0 6 \"c1\" \"\""
buildItem L $rootWn 4.3.6 "sa 148.0 151.0 7 \"c1/c2\" \"\""
buildItem L $rootWn 4.3.7 "st 186.0 168.0 6 \"b1\" \"\""
buildItem L $rootWn 4.3.8 "sa 105.0 108.0 4 \"c2\" \"\""
buildItem L $rootWn 4.3.9 "sa 29.0 154.0 5 \"c2\" \"\""
buildItem L $rootWn 4.3.10 "ld 195.0 205.0 1 \"signal c1,c2\" \"\""
buildItem L $rootWn 4.3.11 "st 68.0 164.0 4 \"b2\" \"\""

# #### window .root.10.8   (end)
initTree

# That's All Folks!
